gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.TargetPair

Contents

- Exported types
- Methods
- Properties
  - flags
  - info
  - target

Description

A `TargetPair` is used to represent the same information as a table of `TargetEntry`, but in an efficient form.

Synopsis

- newtype TargetPair = TargetPair (ManagedPtr TargetPair)
- newZeroTargetPair :: MonadIO m => m TargetPair
- getTargetPairFlags :: MonadIO m => TargetPair -> m Word32
- setTargetPairFlags :: MonadIO m => TargetPair -> Word32 -> m ()
- getTargetPairInfo :: MonadIO m => TargetPair -> m Word32
- setTargetPairInfo :: MonadIO m => TargetPair -> Word32 -> m ()
- getTargetPairTarget :: MonadIO m => TargetPair -> m Atom

# Exported types

newtype TargetPair Source #

Memory-managed wrapper type.

Constructors

TargetPair (ManagedPtr TargetPair) |

#### Instances

Instances details

Eq TargetPair Source # |
Instance details Defined in GI.Gtk.Structs.TargetPair Methods (==) :: TargetPair -> TargetPair -> Bool Source # (/=) :: TargetPair -> TargetPair -> Bool Source #
BoxedPtr TargetPair Source # |
Instance details Defined in GI.Gtk.Structs.TargetPair Methods boxedPtrCopy :: TargetPair -> IO TargetPair Source # boxedPtrFree :: TargetPair -> IO () Source #
CallocPtr TargetPair Source # |
Instance details Defined in GI.Gtk.Structs.TargetPair Methods boxedPtrCalloc :: IO (Ptr TargetPair) Source #
ManagedPtrNewtype TargetPair Source # |
Instance details Defined in GI.Gtk.Structs.TargetPair Methods toManagedPtr :: TargetPair -> ManagedPtr TargetPair Source #
tag ~ 'AttrSet => Constructible TargetPair tag Source # |
Instance details Defined in GI.Gtk.Structs.TargetPair Methods new :: MonadIO m => (ManagedPtr TargetPair -> TargetPair) -> [AttrOp TargetPair tag] -> m TargetPair Source #

newZeroTargetPair :: MonadIO m => m TargetPair Source #

Construct a `TargetPair` struct initialized to zero.

# Methods

# Properties

## flags

`TargetFlags` for DND

getTargetPairFlags :: MonadIO m => TargetPair -> m Word32 Source #

Get the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    get targetPair #flags

setTargetPairFlags :: MonadIO m => TargetPair -> Word32 -> m () Source #

Set the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    set targetPair [ #flags := value ]

## info

an application-assigned integer ID which will get passed as a parameter to e.g the Widget::selectionGet signal. It allows the application to identify the target type without extensive string compares.

getTargetPairInfo :: MonadIO m => TargetPair -> m Word32 Source #

Get the value of the “`info`” field. When overloading is enabled, this is equivalent to

    get targetPair #info

setTargetPairInfo :: MonadIO m => TargetPair -> Word32 -> m () Source #

Set the value of the “`info`” field. When overloading is enabled, this is equivalent to

    set targetPair [ #info := value ]

## target

`Atom` representation of the target type

getTargetPairTarget :: MonadIO m => TargetPair -> m Atom Source #

Get the value of the “`target`” field. When overloading is enabled, this is equivalent to

    get targetPair #target